org.keycloak.services.managers

## Class ClientSessionCode<CLIENT_SESSION extends CommonClientSessionModel>

- java.lang.Object
- - org.keycloak.services.managers.ClientSessionCode<CLIENT_SESSION>

-     public class ClientSessionCode<CLIENT_SESSION extends CommonClientSessionModel>
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ClientSessionCode.ActionType`
    `static class` | `ClientSessionCode.ParseResult<CLIENT_SESSION extends CommonClientSessionModel>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientSessionCode(KeycloakSession session, RealmModel realm, CLIENT_SESSION commonLoginSession)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CLIENT_SESSION` | `getClientSession()`
    `static <CLIENT_SESSION extends CommonClientSessionModel> CLIENT_SESSION` | `getClientSession(String code, String tabId, KeycloakSession session, RealmModel realm, ClientModel client, EventBuilder event, Class<CLIENT_SESSION> sessionClass)`
    `String` | `getOrGenerateCode()`
    `boolean` | `isActionActive(ClientSessionCode.ActionType actionType)`
    `boolean` | `isValid(String requestedAction, ClientSessionCode.ActionType actionType)`
    `boolean` | `isValidAction(String requestedAction)`
    `static <CLIENT_SESSION extends CommonClientSessionModel> ClientSessionCode.ParseResult<CLIENT_SESSION>` | `parseResult(String code, String tabId, KeycloakSession session, RealmModel realm, ClientModel client, EventBuilder event, Class<CLIENT_SESSION> sessionClass)`
    `static <CLIENT_SESSION extends CommonClientSessionModel> ClientSessionCode.ParseResult<CLIENT_SESSION>` | `parseResult(String code, String tabId, KeycloakSession session, RealmModel realm, ClientModel client, EventBuilder event, CLIENT_SESSION clientSession)`
    `void` | `removeExpiredClientSession()`
    `void` | `setAction(String action)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientSessionCode

          public ClientSessionCode(KeycloakSession session,
                                   RealmModel realm,
                                   CLIENT_SESSION commonLoginSession)

  - ### Method Detail

    - #### parseResult

          public static <CLIENT_SESSION extends CommonClientSessionModel> ClientSessionCode.ParseResult<CLIENT_SESSION> parseResult(String code,
                                                                                                                                    String tabId,
                                                                                                                                    KeycloakSession session,
                                                                                                                                    RealmModel realm,
                                                                                                                                    ClientModel client,
                                                                                                                                    EventBuilder event,
                                                                                                                                    Class<CLIENT_SESSION> sessionClass)

    - #### parseResult

          public static <CLIENT_SESSION extends CommonClientSessionModel> ClientSessionCode.ParseResult<CLIENT_SESSION> parseResult(String code,
                                                                                                                                    String tabId,
                                                                                                                                    KeycloakSession session,
                                                                                                                                    RealmModel realm,
                                                                                                                                    ClientModel client,
                                                                                                                                    EventBuilder event,
                                                                                                                                    CLIENT_SESSION clientSession)

    - #### getClientSession

          public static <CLIENT_SESSION extends CommonClientSessionModel> CLIENT_SESSION getClientSession(String code,
                                                                                                          String tabId,
                                                                                                          KeycloakSession session,
                                                                                                          RealmModel realm,
                                                                                                          ClientModel client,
                                                                                                          EventBuilder event,
                                                                                                          Class<CLIENT_SESSION> sessionClass)

    - #### getClientSession

          public CLIENT_SESSION getClientSession()

    - #### isValid

          public boolean isValid(String requestedAction,
                                 ClientSessionCode.ActionType actionType)

    - #### isActionActive

          public boolean isActionActive(ClientSessionCode.ActionType actionType)

    - #### isValidAction

          public boolean isValidAction(String requestedAction)

    - #### removeExpiredClientSession

          public void removeExpiredClientSession()

    - #### setAction

          public void setAction(String action)

    - #### getOrGenerateCode

          public String getOrGenerateCode()

Copyright © 2020 JBoss by Red Hat. All rights reserved.